Bug 615472 - (CVE-2010-1207) CVE-2010-1207 Mozilla Same-origin bypass using canvas context
CVE-2010-1207 Mozilla Same-origin bypass using canvas context
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100720,reported=20100714,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 15:38 EDT by Josh Bressers
Modified: 2013-04-12 14:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 14:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-20 21:09:15 EDT

  None (edit)
Description Josh Bressers 2010-07-16 15:38:34 EDT
Mozilla developer Vladimir Vukicevic reported that a canvas element can be
used to read data from another site, violating the same-origin policy. The
read restriction placed on a canvas element which has had cross-origin data
rendered into it can be bypassed by retaining a reference to the canvas
element's context and deleting the associated canvas node from the DOM.
Comment 1 Vincent Danen 2010-07-20 20:08:57 EDT
This is now public: http://www.mozilla.org/security/announce/2010/mfsa2010-43.html
Comment 2 errata-xmlrpc 2010-07-20 21:09:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html
Comment 3 Fedora Update System 2010-07-22 22:36:29 EDT
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2010-07-22 22:48:21 EDT
thunderbird-3.1.1-1.fc13, sunbird-1.0-0.26.b2pre.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.